#pragma once

#include "v3.h"

V3::V3(float _x, float _y, float _z) : x(_x), y(_y), z(_z) {}

V3 V3::operator+(V3 op2) {

  V3 ret;
  ret.x = x+op2.x;
  ret.y = y+op2.y;
  ret.z = z+op2.z;
  return ret;

}

ostream& operator<<(ostream &ostr, V3 v) {

  return ostr << v.x << " " << v.y << " " << v.z;

}

